Subject: Re: [Json] Proposal for numeric precision in JSON bis

From: Jorge Chamorro <[email-masked]>
Date: Fri, 6 Sep 2013 12:50:33 +0200

On 28/08/2013, at 21:07, John Cowan wrote:

> Attempting to represent numbers that cannot be
>   exactly encoded as an IEEE 754:2008 binary64 number, such as 1E400 or
>   3.141592653589793238462643383279, may cause interoperability problems.

I'd also put in that list a seemingly safe integer such as 9007199254740993:

(2^53)+1 is === 2^53

Or (2^54)+2, which is === (2^54)+1 and === 2^54

Etc.
-- 
( Jorge )();

---

From: John Cowan <[email-masked]>
Date: Fri, 6 Sep 2013 16:45:25 -0400

> I'd also put in that list a seemingly safe integer such as 9007199254740993:

+1

It's quite magic to open your favorite REPL: python, ruby, rhino,
any Scheme, ghci, tclsh (with the "expr" command), or even bwbasic
(with the 'print' command).  Then type 9007199254740993.0 into it, and
watch 9007199254740992.0 (or equivalent such as 9.007199254740992e15)
come back out.  (In Common Lisp you'll need 9007199254740993.0D0.)

-- 
Unless it was by accident that I had            John Cowan
offended someone, I never apologized.           [email-masked]
        --Quentin Crisp                         http://www.ccil.org/~cowan